Package cx.ath.matthew.io

# Class DOMPrinter

java.lang.Object
cx.ath.matthew.io.DOMPrinter

public class DOMPrinter extends Object
Print a DOM tree to the given OutputStream

## Constructor Summary

Constructors
Constructor
Description
`DOMPrinter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`printDOM(Document d, OutputStream os)`
Print the given document and all its children.
`static void`
`printDOM(Document d, PrintStream p)`
Print the given document and all its children.
`static void`
`printNode(Node n, OutputStream os)`
Print the given node and all its children.
`static void`
`printNode(Node n, PrintStream p)`
Print the given node and all its children.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DOMPrinter

public DOMPrinter()

## Method Details

### printNode

public static void printNode(Node n, OutputStream os)
Print the given node and all its children.

Parameters:
  `n` - The Node to print.
  `os` - The Stream to print to.

### printNode

public static void printNode(Node n, PrintStream p)
Print the given node and all its children.

Parameters:
  `n` - The Node to print.
  `p` - The Stream to print to.

### printDOM

public static void printDOM(Document d, PrintStream p)
Print the given document and all its children.

Parameters:
  `d` - The Document to print.
  `p` - The Stream to print to.

### printDOM

public static void printDOM(Document d, OutputStream os)
Print the given document and all its children.

Parameters:
  `d` - The Document to print.
  `os` - The Stream to print to.